API references
Merchant API

List communication channels

Returns the communication channels configured for this merchant.

This endpoint requires authentication.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-communication-channels HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{}
Returns: array<object.communication_channel>
New to Reservepay? Read our guide on how to call endpoints to get started.
Communication channel attributes
Attribute Description
communication_channel_id
string

Always present. The ID of the communication channel.

delivery
string

Always present. How messages are delivered on this channel.

Possible values:
  • email
  • sms
email
string

Nullable. The from-address for an email channel. Null for SMS.

sender_name
string

Nullable. The sender name for an SMS channel. Null for email.

active
boolean

Always present. Whether this channel is the active channel for its delivery.

Possible values:
  • true
  • false
status
string

Always present. The channel status. Custom email stays pending_setup until setup is confirmed.

Possible values:
  • active
  • pending_setup
  • inactive
Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.